(TeX-add-style-hook "NumericPlots"
 (lambda ()
    (LaTeX-add-environments
     "NumericDataPlot")
    (TeX-add-symbols
     '("plotyAxis" ["argument"] 1)
     '("plotyGrid" ["argument"] 0)
     '("plotxAxis" ["argument"] 1)
     '("plotxGrid" ["argument"] 0)
     '("yLogSubGrid" 1)
     '("plotySubGridLine" 1)
     '("plotyGridLine" 1)
     '("setyAxis" 1)
     '("plotyTickLabels" 1)
     '("xLogSubGrid" 1)
     '("plotxTickLabels" 1)
     '("plotxSubGridLine" 1)
     '("plotxGridLine" 1)
     '("setxAxis" 1)
     '("LogyAxisLabel" 1)
     '("LogxAxisLabel" 1)
     '("testframe" 1)
     "NumDataPlotxRange"
     "NumDataPlotxCoordRange"
     "NumDataPlotxDataCoordRatio"
     "NumDataPlotyRange"
     "NumDataPlotyCoordRange"
     "NumDataPlotyDataCoordRatio"
     "NumDataPlotLnTen"
     "NumDataPlotTickPos"
     "xScaling"
     "yScaling"
     "NDPputXcoord"
     "NDPputYcoord"
     "NDPRefPoint"
     "NDPputRotation"
     "NumDataPlotBuffer"
     "NumDataPlotBufferI"
     "TicksXRight"
     "TicksXLeft"
     "TicksYRight"
     "TicksYLeft"
     "TickLabelsXRight"
     "TickLabelsXLeft"
     "TickLabelsYRight"
     "TickLabelsYLeft"
     "xTickLength"
     "yTickLength"
     "xNrTicks"
     "yNrTicks"
     "xNrTickLabels"
     "yNrTickLabels"
     "nrLegendCols"
     "LogxAxis"
     "LogyAxis"
     "ScaleAxes"
     "repeatxAxis"
     "plotyGridBoxed")
    (TeX-run-style-hooks
     "xkvview"
     "xkeyval"
     "xcolor"
     "pstricks-add"
     "pst-plot"
     "pst-node"
     "pstricks"
     "ifthen"
     "fp"
     "nomessages"
     "calc"
     ""
     "NumericPlots_labels"
     "NumericPlots_TickLabels"
     "NumericPlots_legend"
     "NumericPlots_styles"
     "NumericPlots_macros")))

