(TeX-add-style-hook "datatool"
 (lambda ()
    (LaTeX-add-environments
     "DTLenvforeach")
    (TeX-add-symbols
     '("dtlsort" ["argument"] 3)
     '("DTLcomputebounds" ["argument"] 7)
     '("DTLdisplaylongdb" ["argument"] 1)
     '("DTLdisplaydb" ["argument"] 1)
     '("dtlshowtype" 2)
     '("dtlshowdbkeys" 1)
     '("dtlshowdb" 1)
     '("DTLrawmap" 2)
     '("DTLloaddbtex" 2)
     '("DTLprotectedsaverawdb" 2)
     '("DTLsaverawdb" 2)
     '("DTLsavetexdb" 2)
     '("DTLsavedb" 2)
     '("DTLgetrowforkey" 4)
     '("DTLgetvalueforkey" 5)
     '("DTLmaxforcolumn" 3)
     '("DTLmaxforkeys" 1)
     '("DTLminforcolumn" 3)
     '("DTLminforkeys" 1)
     '("DTLsdforcolumn" 3)
     '("DTLsdforkeys" 1)
     '("DTLvarianceforcolumn" 3)
     '("DTLvarianceforkeys" 1)
     '("DTLmeanforcolumn" 3)
     '("DTLmeanforkeys" 1)
     '("DTLsumcolumn" 3)
     '("DTLsumforkeys" 1)
     '("DTLremoverow" 2)
     '("dtlswaprows" 3)
     '("dtlcurrencyformat" 1)
     '("dtlrealformat" 1)
     '("dtlintformat" 1)
     '("dtlstringformat" 1)
     '("dtlheaderformat" 1)
     '("dtladdalign" 4)
     '("DTLifoddrow" 2)
     '("DTLiflastrow" 2)
     '("DTLiffirstrow" 2)
     '("DTLforeachkeyinrow" 2)
     '("DTLaddentryforrow" 5)
     '("DTLreplaceentryforrow" 2)
     '("DTLremoveentryfromrow" 1)
     '("DTLappendtorow" 2)
     '("DTLsavelastrowcount" 1)
     '("dtlgetrowindex" 4)
     '("DTLgetrowindex" 4)
     '("DTLgetlocation" 4)
     '("DTLgetvalue" 4)
     '("dtlupdateentryincurrentrow" 2)
     '("dtlappendentrytocurrentrow" 2)
     '("dtlgetentryfromrow" 3)
     '("dtlgetentryfromcurrentrow" 2)
     '("dtlswapentriesincurrentrow" 2)
     '("dtlremoveentryincurrentrow" 1)
     '("dtlreplaceentryincurrentrow" 2)
     '("dtlsplitrow" 4)
     '("dtlgetrowforvalue" 3)
     '("DTLfetch" 4)
     '("edtlgetrowforvalue" 3)
     '("dtlgetrow" 2)
     '("DTLifnullorempty" 3)
     '("DTLifnull" 3)
     '("xDTLassignfirstmatch" 4)
     '("DTLassignfirstmatch" 4)
     '("DTLassign" 3)
     '("DTLifdbexists" 3)
     '("dtlcolumnindex" 2)
     '("DTLifdbempty" 3)
     '("DTLcolumncount" 1)
     '("DTLrowcount" 1)
     '("DTLgcleardb" 1)
     '("DTLgdeletedb" 1)
     '("DTLgnewdb" 1)
     '("DTLdeletedb" 1)
     '("DTLcleardb" 1)
     '("DTLnewdb" 1)
     '("DTLsetdelimiter" 1)
     '("DTLsetseparator" 1)
     "DTLpar"
     "DTLnewrow"
     "dtlcolumnnum"
     "dtlrownum"
     "DTLifhaskey"
     "DTLgetcolumnindex"
     "DTLgetkeyforcolumn"
     "DTLgetdatatype"
     "DTLaddcolumn"
     "s"
     "DTLsetheader"
     "dtlexpandnewvalue"
     "dtlnoexpandnewvalue"
     "DTLnewdbentry"
     "dtl"
     "DTLstringnull"
     "DTLnumbernull"
     "DTLgetkeydata"
     "dtlrecombine"
     "dtlrecombineomitcurrent"
     "dtlforcolumn"
     "dtlforcolumnidx"
     "dtlforeachlevel"
     "DTLforeach"
     "DTLremovecurrentrow"
     "dtlbetweencols"
     "dtlbeforecols"
     "dtlaftercols"
     "dtlstringalign"
     "dtlintalign"
     "dtlrealalign"
     "dtlcurrencyalign"
     "dtldisplaystarttab"
     "dtldisplayendtab"
     "dtldisplayafterhead"
     "dtldisplayvalign"
     "dtldisplaystartrow"
     "dtldisplaycr"
     "DTLsort"
     "dtldefaultkey"
     "DTLloaddb"
     "DTLloadrawdb"
     "noexpand"
     "DTLunsettype"
     "DTLstringtype"
     "DTLinttype"
     "DTLrealtype"
     "DTLcurrencytype"
     "dtlnovalue"
     "dtlforeachkey"
     "dtlbreak"
     "theHDTLrow"
     "theHDTLrowi"
     "theHDTLrowii"
     "theHDTLrowiii"
     "string")
    (TeX-run-style-hooks
     "datatool-base"
     "etoolbox"
     "substr"
     "xfor"
     "ifthen"
     "xkeyval"
     "")))

