(TeX-add-style-hook "doctools"
 (lambda ()
    (LaTeX-add-index-entries
     "\\doctools@indexHeadFont{Command}!\\textbackslash{}#1"
     "\\doctools@indexHeadFont{Environment}!#1"
     "\\doctools@indexHeadFont{Package}!#1"
     "\\doctools@indexHeadFont{Class}!#1"
     "option!#1"
     "\\textsc{Files}!\\IndexFileB")
    (LaTeX-add-environments
     "Optionlist")
    (LaTeX-add-labels
     "file:#1")
    (TeX-add-symbols
     '("printCodeFromFile" ["argument"] 2)
     '("file" 1)
     '("labelfile" 1)
     '("Example" 1)
     '("Default" 1)
     '("person" 1)
     '("parameter" 1)
     '("option" 1)
     '("arg" 1)
     '("oarg" 1)
     '("marg" 1)
     '("ltxclass" 1)
     '("package" 1)
     '("env" 1)
     '("environment" 1)
     '("command" 1)
     "bs"
     "AfterLastParam"
     "latex"
     "theHMacroName"
     "theHfile"
     "cs"
     "PrintMacroName"
     "PrintDescribeMacro"
     "PrintDescribeEnv"
     "PrintEnvName"
     "IndexFileB")
    (TeX-run-style-hooks
     "url"
     "bookmark"
     "hyperref"
     "pdfpagelabels=true"
     "bookmarks=true"
     "hyperfootnotes=false"
     "hyperindex=true"
     "pagebackref=false"
     "backref=page"
     "xcolor"
     "xspace"
     "listings"
     "textcomp"
     "fontenc"
     "T1"
     "cmap"
     "kvsetkeys"
     "xstring"
     "etoolbox"
     "pdftexcmds"
     "kvoptions"
     "kvoptions-patch"
     "")))

