(TeX-add-style-hook "europasscv"
 (lambda ()
    (LaTeX-add-environments
     "ecvitemize")
    (TeX-add-symbols
     '("ecvbigitem" ["argument"] 2)
     '("ecvblueitem" ["argument"] 2)
     '("ecvtitlelevel" ["argument"] 3)
     '("ecvtitle" ["argument"] 2)
     '("ecvsection" ["argument"] 1)
     '("ecvitem" ["argument"] 2)
     '("ecvlanguagefooter" ["argument"] 0)
     '("ecvlastlanguage" ["argument"] 6)
     '("ecvlanguage" ["argument"] 6)
     '("ecvlangrow" ["argument"] 7)
     '("ecvlanguageheader" ["argument"] 0)
     '("ecvmothertongue" ["argument"] 1)
     '("ecvpersonalinfo" ["argument"] 0)
     '("ecvtelephone" ["argument"] 1)
     '("ecvbluestyle" 1)
     '("ecvhighlight" 1)
     '("ecvLargenormalstyle" 1)
     '("ecvlargenormalstyle" 1)
     '("ecvtitlestyle" 1)
     '("ecvbluenormalstyle" 1)
     '("ecvsectionstyle" 1)
     '("ecvLogoOffset" 1)
     '("ecvLogoWidth" 1)
     '("ecvExtraRowHeight" 1)
     '("ecvLeftColumnWidth" 1)
     '("ecvColSep" 1)
     '("ecvRuleWidth" 1)
     '("ecvTitleKern" 1)
     '("ecvCEF" 2)
     '("ecvspace" 1)
     '("ecvafterpicture" 1)
     '("ecvbeforepicture" 1)
     '("ecvgender" 1)
     '("ecvdateofbirth" 1)
     '("ecvnationality" 1)
     '("ecvim" 2)
     '("ecvhomepage" 1)
     '("ecvemail" 1)
     '("ecvfax" 1)
     '("ecvaddress" 1)
     '("ecvfootername" 1)
     '("ecvname" 1)
     '("ecvlastname" 1)
     '("ecvfirstname" 1)
     '("ecvfootnote" 1)
     '("ecvpage" 1)
     "ecv"
     "ecvcurrvitae"
     "ecvcoloredtitle"
     "ecvdrawpicture"
     "ecvpicture"
     "ecvAOne"
     "ecvATwo"
     "ecvBOne"
     "ecvBTwo"
     "ecvCOne"
     "ecvCTwo"
     "ecvNoHorRule"
     "ecvWithHorRule"
     "ecvbullet"
     "ecvarg")
    (TeX-run-style-hooks
     "fontenc"
     "T1"
     "showframe"
     "graphicx"
     "colortbl"
     "hyperref"
     "hidelinks"
     "enumitem"
     "textcomp"
     "geometry"
     "setspace"
     "tabu"
     "soul"
     "url"
     "xcolor"
     "fancyhdr"
     "array"
     "inputenc"
     "utf8"
     "art10"
     "article"
     "totpages"
     "")))

