(TeX-add-style-hook "iwhdp"
 (lambda ()
    (LaTeX-add-environments
     "iwh")
    (TeX-add-symbols
     '("tzit" ["argument"] 2)
     '("zit" ["argument"] 2)
     '("verify" 1)
     '("Mehr" 1)
     '("citetype" 1)
     '("citeaffixed" 2)
     "iwhlanguage"
     "iwhbib"
     "iwhbackend"
     "iwhconference"
     "iwhdraft"
     "linenoswitch"
     "trenn"
     "makebib"
     "cite"
     "citeyear"
     "citeasnoun"
     "citename"
     "citep"
     "citet"
     "pcite"
     "tcite"
     "pcites"
     "tcites"
     "nn"
     "mb"
     "fns"
     "Quelle"
     "fehlt"
     "Endemarke"
     "zB"
     "ua"
     "so"
     "eg"
     "cf"
     "seg"
     "ie"
     "Wkeit"
     "GG"
     "Wm"
     "CO"
     "IPCC"
     "RD"
     "narrowspacing"
     "fullspacing"
     "iwhdpname"
     "iwhtitlepage"
     "iwhsecondpage"
     "iwhthirdpageger"
     "iwhthirdpageeng"
     "makeiwhtitle"
     "bookspine"
     "iwhdpversion"
     "iwhdpdate"
     "filename"
     "classname"
     "author"
     "department"
     "tel"
     "email"
     "cauthor"
     "cdepartment"
     "ctel"
     "cemail"
     "ccauthor"
     "ccdepartment"
     "cctel"
     "ccemail"
     "cccauthor"
     "cccdepartment"
     "ccctel"
     "cccemail"
     "titlealt"
     "dpnumber"
     "dpdate"
     "jel"
     "keywords"
     "keywordsalt"
     "dpabstract"
     "dpabstractalt"
     "thanks"
     "thanksalt")
    (TeX-run-style-hooks
     "hyperref"
     "suffix"
     "biblatex"
     "	hyperref=true"
     "backend=biber"
     "	firstinits=true"
     "	uniquename=false"
     "	maxbibnames=99"
     "	minnames=2"
     "	maxnames=3"
     "	citestyle=authoryear"
     "	bibstyle=authoryear"
     "	bibencoding=inputenc"
     "csquotes"
     "german=quotes"
     "microtype"
     "geometry"
     "english"
     "datenumber"
     "color"
     "lineno"
     "switch*"
     "pagewise"
     "textpos"
     "absolute"
     "xspace"
     "pifont"
     "sansmath"
     "amssymb"
     "amsfonts"
     "amsmath"
     "graphicx"
     "wallpaper"
     "pdfpages"
     "dcolumn"
     "longtable"
     "booktabs"
     "array"
     "float"
     "textcomp"
     "multicol"
     "rotating"
     "lscape"
     "setspace"
     "footmisc"
     "hang"
     "universalis"
     "lmodern"
     "fontenc"
     "T1"
     "inputenc"
     "utf8"
     "scrpage2"
     "babel"
     "ngerman"
     "USenglish"
     "UKenglish"
     "xifthen"
     "")))

