(TeX-add-style-hook "jslectureplanner"
 (lambda ()
    (LaTeX-add-environments
     '("SessionBlock" 1)
     "labeling")
    (TeX-add-symbols
     '("SetBreaks" ["argument"] 1)
     '("SetBreak" ["argument"] 1)
     '("NewSession" ["argument"] 1)
     '("makebeamerprogram" ["argument"] 0)
     '("LecTitle" ["argument"] 1)
     '("MakeProgramline" 1)
     '("SessionPresStudents" 1)
     '("SessionInstructor" 1)
     '("SessionRoom" 1)
     '("SessionShortDate" 1)
     '("SessionTitle" 1)
     '("SessionShortTitle" 1)
     '("SessionDate" 1)
     '("SessionFullTitle" 1)
     '("LocalSession" 1)
     '("ThisSession" 1)
     '("setlastpressession" 1)
     '("setfirstpressession" 1)
     '("SetPlatform" 1)
     '("SetOfficeNumber" 1)
     '("SetOfficeHours" 1)
     '("SetBeamerHook" 1)
     '("NewBlock" 1)
     '("StartBlock" 1)
     '("SetAutoOffset" 2)
     '("SetLecOffset" 1)
     '("labelinglabel" 1)
     '("DefTypeWS" 2)
     '("DefTypeSS" 2)
     '("DefTypeHS" 2)
     '("DefTypeFS" 2)
     '("DefSemType" 3)
     '("DefTypePV" 3)
     '("DefTypeKO" 3)
     '("DefTypeUE" 3)
     '("DefTypeSE" 3)
     '("DefTypePS" 3)
     '("DefTypeVO" 3)
     '("DefTypeVL" 3)
     '("DefLecType" 4)
     '("LecInterval" 1)
     '("LecInstructor" 1)
     '("LecStartDate" 1)
     '("LecRoom" 1)
     '("LecInstitute" 1)
     '("LecUni" 1)
     '("LecYear" 2)
     '("LecSubTitle" 1)
     '("LecTitleSep" 1)
     '("LecType" 1)
     "leccancel"
     "lecprogram"
     "lecprogramlistindent"
     "js"
     "lecdateformat"
     "lecdateshortformat"
     "makeprogram"
     "makesessionbib"
     "EndBlock"
     "SetBeamerFrameBreak"
     "makepreslist"
     "makebeamerpreslist"
     "ResetDate"
     "filename"
     "sesdate"
     "sesshortdate"
     "sestitle"
     "sestitlesep"
     "sessubtitle"
     "sesnr"
     "programlist"
     "jsbiblist"
     "lectype"
     "lectypeverb"
     "lectypesession"
     "lecsemshort"
     "lecsemverb"
     "lectitle"
     "lectitlesep"
     "lecsubtitle"
     "lecshorttitle"
     "lecyear"
     "lecuniversity"
     "lecinstitute"
     "lecroom"
     "lecstartdate"
     "lecinstructor"
     "lecsemester"
     "lecsemesterverb"
     "lecfulltitle"
     "sesfulltitle"
     "makelabel"
     "bpdescbeg"
     "btitleapp"
     "programlistbeamerii"
     "programlistbeameriii"
     "programlistbeameriv"
     "programlistbeamer"
     "officehours"
     "officenumber"
     "lecplatform")
    (TeX-run-style-hooks
     "ifthen"
     "calc"
     "datetime"
     "xkeyval"
     "advdate"
     "etoolbox"
     "")))

