(TeX-add-style-hook "skdoc"
 (lambda ()
    (LaTeX-add-environments
     "LPPLicense"
     "enum")
    (TeX-add-symbols
     "PrintIndex"
     "PY"
     "PYZbs"
     "PYZus"
     "PYZob"
     "PYZcb"
     "PYZca"
     "PYZam"
     "PYZlt"
     "PYZgt"
     "PYZsh"
     "PYZpc"
     "PYZdl"
     "PYZhy"
     "PYZsq"
     "PYZdq"
     "PYZti"
     "PYZat"
     "PYZlb"
     "PYZrb"
     "descframe"
     "PrintEnvName"
     "optpar"
     "PrintEnvImplName"
     "PrintMacroImpl"
     "item"
     "part"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "skdocpdfsettings"
     "maketitle"
     "numberline"
     "LPPLsubsection"
     "oldmakeatletter"
     "makeatletter"
     "makelabel")
    (TeX-run-style-hooks
     "minted"
     "microtype"
     "babel"
     "sourcecodepro"
     "PTSerif"
     "caption"
     "textfont=it"
     "labelfont=bf"
     "font=small"
     "csquotes"
     "english=british"
     "scrpage2"
     "ydoc-desc"
     "ydoc-code"
     "glossaries"
     "sanitizesort=false"
     "order=letter"
     "numberedsection"
     "xindy"
     "nomain"
     "hologo"
     "multicol"
     "hyperref"
     "calc"
     "marginnote"
     "needspace"
     "verbatim"
     "everyhook"
     "pdftexcmds"
     "kvoptions"
     "atbegshi"
     "xparse"
     "xstring"
     "etoolbox"
     "scrartcl10"
     "scrartcl"
     "index=totoc"
     "bibliography=totocnumbered"
     "abstracton"
     "numbers=noenddot"
     "headings=big"
     "DIV7"
     "expl3"
     ""
     "lppl")))

