(TeX-add-style-hook "cnltx-doc"
 (lambda ()
    (LaTeX-add-index-entries
     "LPPL@{\\cnltx@acronym@format lppl}"
     "CTAN@{\\cnltx@acronym@format ctan}")
    (LaTeX-add-bibliographies
     "cnltx")
    (LaTeX-add-environments
     "cnltxlist"
     "commands"
     "options"
     "environments"
     "cnltxquote")
    (TeX-add-symbols
     '("nohyperpage" 1)
     '("pdfstringdefDisableCommands" 1)
     '("texorpdfstring" 2)
     "cnltx"
     "lppl"
     "LPPL"
     "ctan"
     "CTAN"
     "cmltx"
     "visiblespace"
     "versionnoteformat"
     "command"
     "opt"
     "keyval"
     "keylit"
     "keychoice"
     "keybool"
     "environment"
     "item"
     "expandablesign"
     "cnltxpackagenameformat")
    (TeX-run-style-hooks
     "hyperref"
     "ragged2e"
     "marginnote"
     "multicol"
     "imakeidx"
     "biblatex"
     "indexing=cite"
     "sortlocale=en_US"
     "style=cnltx"
     "backend=biber"
     "scrlayer-scrpage"
     "fnpct"
     "microtype"
     "superiors"
     "supstfm=libertinesups"
     "libertinehologopatch"
     "libertine"
     "oldstyle"
     "fontspec"
     "fontenc"
     "T1"
     "ifluatex"
     "ifxetex"
     "scrartcl10"
     "scrartcl"
     "cnltx-base"
     "")))

