(TeX-add-style-hook "dtk"
 (lambda ()
    (LaTeX-add-index-entries
     "\\STRIP@*#1 #2!#3")
    (LaTeX-add-environments
     "roll"
     "example"
     "abstract"
     "theaddresses")
    (TeX-add-symbols
     '("RecordPackage" 4)
     '("DTKinput" 1)
     '("address" 3)
     '("DieTeXnischeKomoedie" 3)
     '("keywords" 1)
     '("TopArt" 2)
     '("rolllabel" 1)
     '("Acronym" 1)
     '("Environment" 1)
     '("Macro" 1)
     '("Command" 1)
     '("Program" 1)
     '("Package" 1)
     '("File" 1)
     '("providecommand" 2)
     '("texttt" 1)
     '("textit" 1)
     '("textsl" 1)
     '("textsf" 1)
     '("textsc" 1)
     '("textrm" 1)
     '("textbf" 1)
     '("emph" 1)
     '("InputIfFileExists" 3)
     '("RequirePackage" 1)
     "DeclareOption"
     "DTK"
     "URL"
     "DTKgerman"
     "addressname"
     "journalname"
     "Volume"
     "volume"
     "footmark"
     "ChapterFont"
     "SectionFont"
     "SubsectionFont"
     "SubsubsectionFont"
     "AuthorFont"
     "TitleFont"
     "HeadFont"
     "FootFont"
     "PagenoFont"
     "NewpageThreshold"
     "HeadRuleDepth"
     "FootRuleDepth"
     "ContentsParSkip"
     "part"
     "TopArtRule"
     "relax"
     "DTKtitle"
     "Advance"
     "ps"
     "cover"
     "CoverArt"
     "addresssize"
     "listofaddresses"
     "ContentsArt"
     "x"
     "AtEmbeddedDocumentclass"
     "AtEmbeddedBeginDocument"
     "AtEmbeddedEndDocument"
     "filename"
     "DTKversion"
     "DTKdate"
     "LoadClass"
     "ProcessOptions"
     "OptionNotUsed"
     "ProvidesClass"
     "fontshape"
     "selectfont"
     "Ref"
     "Label"
     "Pageref"
     "linenumberfont"
     "thelinenumber"
     "EURO"
     "degrees"
     "UrlFont"
     "captionsgerman"
     "Env"
     "ENV"
     "Email"
     "Class"
     "makelabel"
     "thanks"
     "newblock"
     "chaptermark"
     "sectionmark"
     "subsectionmark"
     "bibliography"
     "bibliographystyle"
     "ss"
     "d"
     "b"
     "c"
     "v"
     "H"
     "t"
     "u"
     "o"
     "O"
     "aa"
     "AA"
     "l"
     "L"
     "ae"
     "AE"
     "oe"
     "OE"
     "TeX"
     "LaTeX"
     "LaTeXe"
     "null"
     "addressitem"
     "makeaddresses"
     "item"
     "pagestyle"
     "thispagestyle"
     "nocite"
     "listfiles"
     "nofiles"
     "indexname"
     "printindex")
    (TeX-run-style-hooks
     "makeidx"
     "dtklogos"
     "multicol"
     "setspace"
     "subfig"
     "booktabs"
     "enumerate"
     "array"
     "footmisc"
     "marginal"
     "bottom"
     "shortvrb"
     "xspace"
     "graphicx"
     "tabularx"
     "filecontents"
     "ragged2e"
     "newparameters"
     "newcommands"
     "url"
     "hyphens"
     "afterpage"
     "csquotes"
     "german=guillemets"
     "autostyle"
     "cmap"
     "full"
     "inputenc"
     "utf8"
     "mathpazo"
     "fontenc"
     "T1"
     "selnolig"
     "ngerman"
     "babel"
     "luacode"
     "libertine"
     "lining=true"
     "unicode-math"
     "fontspec"
     "amsmath"
     "eurosym"
     "textcomp"
     "amssymb"
     "ifluatex"
     "ifxetex"
     "etex"
     "lineno"
     "xcolor"
     "fixltx2e"
     "bk10"
     "book"
     "")))

