(TeX-add-style-hook "etoc"
 (lambda ()
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("etoctocstylewithmarksnouc" ["argument"] 3)
     '("etoctocstylewithmarks" ["argument"] 3)
     '("etoctocstyle" ["argument"] 2)
     '("etocframedstyle" ["argument"] 1)
     '("etocruledstyle" ["argument"] 1)
     '("etocmulticolstyle" ["argument"] 1)
     '("etocmarkbothnouc" 1)
     '("etocmarkboth" 1)
     '("etocsettocstyle" 2)
     "etocchecksemptiness"
     "etocnotocifnotoc"
     "etocname"
     "etocnumber"
     "etocpage"
     "etoclink"
     "etocifnumbered"
     "etociffirst"
     "etocifwasempty"
     "localtableofcontents"
     "etoctoccontentsline"
     "etocinline"
     "etocnopar"
     "etocdisplay"
     "etocglobaldefs"
     "etoclocaldefs"
     "etocsetlevel"
     "etocskipfirstprefix"
     "etocthename"
     "etocthenumber"
     "etocthepage"
     "etocthelinkedname"
     "etocthelinkednumber"
     "etocthelinkedpage"
     "etocthelink"
     "etocaftertitlehook"
     "etocaftercontentshook"
     "etoctableofcontents"
     "booknumberline"
     "partnumberline"
     "chapternumberline"
     "contentsline"
     "etocsetstyle"
     "etocfontminustwo"
     "etocfontminusone"
     "etocfontzero"
     "etocfontone"
     "etocfonttwo"
     "etocfontthree"
     "etocsepminustwo"
     "etocsepminusone"
     "etocsepzero"
     "etocsepone"
     "etocseptwo"
     "etocsepthree"
     "etocbaselinespreadminustwo"
     "etocbaselinespreadminusone"
     "etocbaselinespreadzero"
     "etocbaselinespreadone"
     "etocbaselinespreadtwo"
     "etocbaselinespreadthree"
     "etocminustwoleftmargin"
     "etocminustworightmargin"
     "etocminusoneleftmargin"
     "etocminusonerightmargin"
     "etoctoclineleaders"
     "etocabbrevpagename"
     "etocpartname"
     "etocbookname"
     "etocdefaultlines"
     "etocabovetocskip"
     "etocbelowtocskip"
     "etoccolumnsep"
     "etocmulticolsep"
     "etocmulticolpretolerance"
     "etocmulticoltolerance"
     "etocdefaultnbcol"
     "etocinnertopsep"
     "etocoldpar"
     "etocinnerbottomsep"
     "etocinnerleftsep"
     "etocinnerrightsep"
     "etoctoprule"
     "etocleftrule"
     "etocrightrule"
     "etocbottomrule"
     "etoctoprulecolorcmd"
     "etocbottomrulecolorcmd"
     "etocleftrulecolorcmd"
     "etocrightrulecolorcmd"
     "etocframedmphook"
     "etocbkgcolorcmd"
     "etocmulticol"
     "etocruled"
     "etocframed"
     "etoclocalmulticol"
     "etoclocalruled"
     "etoclocalframed"
     "etocarticlestyle"
     "etocarticlestylenomarks"
     "etocbookstyle"
     "etocbookstylenomarks"
     "etocreportstyle"
     "etocreportstylenomarks"
     "etocmemoirtoctotocfmt"
     "etocmemoirstyle"
     "etocscrartclstyle"
     "etocscrbookstyle"
     "etocscrreprtstyle"
     "etocstandarddisplaystyle"
     "etoctocloftstyle"
     "etocobeytoctocdepth"
     "etocignoretoctocdepth"
     "etocsettocdepth"
     "etocdepthtag"
     "etocignoredepthtags"
     "etocobeydepthtags"
     "etocsettagdepth"
     "maxtocdepth"
     "settocdepth"
     "resettocdepth"
     "tableofcontents"
     "invisibletableofcontents"
     "invisiblelocaltableofcontents"
     "etocsetnexttocdepth"
     "noexpand"
     "protect"
     "etocstandardlines"
     "etoctoclines"
     "etocaftertochook"
     "etocbeforetitlehook")
    (TeX-run-style-hooks
     "multicol"
     "")))

