(TeX-add-style-hook "exam-n"
 (lambda ()
    (LaTeX-add-environments
     "table"
     "figure"
     "solution"
     "question"
     "mcq"
     "questiondata")
    (LaTeX-add-labels
     "lastpage")
    (TeX-add-symbols
     "enddocument"
     '("comment" 1)
     '("questionpreamble" 1)
     '("FormatPartMarks" 1)
     "normalfont"
     "marginsize"
     "marktotal"
     "markgoal"
     "questionnumber"
     "FormatPartNumber"
     "FormatQuestionNumber"
     "QuestionNumberChecksOff"
     "BSc"
     "MSci"
     "MSc"
     "MA"
     "MEng"
     "BEng"
     "ddd"
     "OverrideFormatting"
     "constantssheet"
     "UniLogo"
     "FormatPartMarks"
     "exambanner"
     "schoolcoursecode"
     "universitycoursecode"
     "paperident"
     "examdate"
     "examtime"
     "coursetitle"
     "degreedescriptions"
     "dd"
     "rubric"
     "norubric"
     "baserubric"
     "numquestions"
     "CheckTotalQuestions"
     "highlighted"
     "leftnudge"
     "ClosingText"
     "formatcontinuations"
     "WriteLastPageLabel"
     "emph"
     "sectionmark"
     "subsectionmark"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "partmarks"
     "multiplechoiceanswers"
     "item"
     "answer"
     "enumerate"
     "itemize"
     "makelabel"
     "t"
     "shout"
     "includequestion"
     "documentclass"
     "usepackage"
     "includepdf"
     "caption"
     "vec"
     "Diffl"
     "Partial"
     "e"
     "units"
     "au"
     "lambdabar")
    (TeX-run-style-hooks
     "fancyhdr"
     "mtpro2"
     "mtpbb"
     "textcomp"
     "T1"
     "mathtime"
     "mtbold"
     "fontenc"
     "LY1"
     "mathptm"
     "helvet"
     "times"
     "ifpdf"
     "art10"
     "article"
     "color"
     "amsmath"
     ""
     "babel"
     "english")))

