(TeX-add-style-hook "tikzposter"
 (lambda ()
    (LaTeX-add-environments
     "settitle"
     "columns"
     "subcolumns"
     "tikzfigure")
    (TeX-add-symbols
     '("usecolorstyle" ["argument"] 1)
     '("note" ["argument"] 1)
     '("usenotestyle" ["argument"] 1)
     '("coloredbox" ["argument"] 1)
     '("innerblock" ["argument"] 2)
     '("useinnerblockstyle" ["argument"] 1)
     '("block" ["argument"] 2)
     '("useblockstyle" ["argument"] 1)
     '("usetitlestyle" ["argument"] 1)
     "titlewidth"
     "titlelinewidth"
     "titleinnersep"
     "titletotopverticalspace"
     "titleheight"
     "titlegraphicheight"
     "titleposleft"
     "titleposright"
     "titlepostop"
     "titleposbottom"
     "colwidth"
     "subcolwidth"
     "blocktitleinnersep"
     "blockbodyinnersep"
     "blocklinewidth"
     "innerblocktitleinnersep"
     "innerblockbodyinnersep"
     "innerblocklinewidth"
     "noteinnersep"
     "notelinewidth"
     "titleroundedcorners"
     "title"
     "blockroundedcorners"
     "innerblockroundedcorners"
     "noterotate"
     "noteroundedcorners")
    (TeX-run-style-hooks
     "geometry"
     "extarticle10"
     "extarticle"
     "tikz"
     "etoolbox"
     "xstring"
     "ae"
     "ifthen"
     "calc"
     "xkeyval"
     ""
     "a0size"
     "tikzposterColorpalettes"
     "tikzposterColorstyles"
     "tikzposterBackgroundstyles"
     "tikzposterTitlestyles"
     "tikzposterBlockstyles"
     "tikzposterInnerblockstyles"
     "tikzposterNotestyles"
     "tikzposterLayoutthemes")))

