(TeX-add-style-hook "upmethodology-fmt"
 (lambda ()
    (LaTeX-add-environments
     "description"
     "enumerate"
     '("framedcolorminipage" 3)
     '("framedminipage" 1)
     '("upmfontsize" 1)
     "mfigures"
     "mtabular"
     "mtable"
     "umlinpar"
     "inlineenumeration"
     "upm"
     "enumdescriptionx"
     "enumdescription"
     "upmcaution"
     "upminfo"
     "upmquestion")
    (LaTeX-add-labels
     "fig:#5"
     "fig:##5")
    (TeX-add-symbols
     '("declareupmtheorem" ["argument"] 3)
     '("href" ["argument"] 2)
     '("url" ["argument"] 1)
     '("makelastname" ["argument"] 1)
     '("makename" ["argument"] 2)
     '("upmmakename" ["argument"] 3)
     '("includefigurewtex" ["argument"] 1)
     '("textdown" 1)
     '("textsubscript" 1)
     '("enumdescriptionlabel" 1)
     '("inlineenumerationlabel" 1)
     '("makefirstname" 1)
     '("setenumcounter" 1)
     '("restorecounter" 1)
     '("savecounter" 1)
     '("bibsize" 1)
     '("tabpageref" 1)
     '("tabref" 1)
     '("tablenote" 1)
     '("tabularrowheader" 1)
     '("tabulartitleinside" 1)
     '("tabulartitle" 1)
     '("tabulartitlespec" 1)
     '("DeclareGraphicsExtensionsWtex" 1)
     '("msubfigure" 3)
     '("figpageref" 1)
     '("figref" 1)
     '("Emph" 1)
     '("textsub" 1)
     '("textsup" 1)
     "upm"
     "trademark"
     "regmark"
     "smalltrade"
     "smallreg"
     "smallcopy"
     "ust"
     "und"
     "urd"
     "uth"
     "R"
     "N"
     "Z"
     "C"
     "Q"
     "powerset"
     "tabularheader"
     "captionastitle"
     "ps"
     "saveenumcounter"
     "restoreenumcounter"
     "getenumcounter"
     "savefootnote"
     "reffootnote"
     "enumdescriptioncounterseparator"
     "enumdescriptionlabelseparator"
     "mfigure"
     "includegraphicswtex"
     "figmath"
     "figtext"
     "mfigurewtex"
     "MakeUppercase"
     "parttoc"
     "chaptertoc"
     "sectiontoc"
     "subsectiontoc"
     "subsubsectiontoc"
     "chapterfull"
     "sectionfull"
     "protect"
     "mtcSSSfont"
     "makedate"
     "extractyear"
     "extractmonth"
     "extractday"
     "makenamespacing"
     "prname"
     "drname"
     "phdname"
     "scdname"
     "mdname"
     "pengname"
     "iengname"
     "item"
     "Huge"
     "huge"
     "small"
     "scriptsize"
     "footnotesize"
     "tiny"
     "listtheoremname")
    (TeX-run-style-hooks
     "environ"
     "bbm"
     "hyphenat"
     "xkeyval"
     "relsize"
     "txfonts"
     "varioref"
     "setspace"
     "pifont"
     "thmtools"
     "amsthm"
     "amsmath"
     "picinpar"
     "colortbl"
     "multicol"
     "tabularx"
     "subfigure"
     "graphicx"
     "upmethodology-p-common"
     "")))

